Create contact inbox
curl --request POST \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/contacts/{id}/contact_inboxes \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '{
"inbox_id": 1
}'const options = {
method: 'POST',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({inbox_id: 1})
};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/contacts/{id}/contact_inboxes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/contacts/{id}/contact_inboxes"
payload = { "inbox_id": 1 }
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"source_id": "<string>",
"inbox": {
"id": 123,
"avatar_url": "<string>",
"channel_id": 123,
"name": "<string>",
"channel_type": "<string>",
"provider": "<string>"
}
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Contacts
Create contact inbox
Create a contact inbox record for an inbox
POST
/
api
/
v1
/
accounts
/
{account_id}
/
contacts
/
{id}
/
contact_inboxes
Create contact inbox
curl --request POST \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/contacts/{id}/contact_inboxes \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '{
"inbox_id": 1
}'const options = {
method: 'POST',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({inbox_id: 1})
};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/contacts/{id}/contact_inboxes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/contacts/{id}/contact_inboxes"
payload = { "inbox_id": 1 }
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"source_id": "<string>",
"inbox": {
"id": 123,
"avatar_url": "<string>",
"channel_id": 123,
"name": "<string>",
"channel_type": "<string>",
"provider": "<string>"
}
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Authorizations
Token de usuario. Envía el valor en el header api_access_token. Lo obtienes en el perfil (GET /api/v1/profile) o al regenerarlo.
Path Parameters
The numeric ID of the account
ID of the contact
Body
application/json